Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/20/2021 in all areas

  1. Then there is no need to convert your Texts to Mtexts, so the following should change the similar text strings automatically that reside into your current active space. (defun c:Test (/ sel lst int ent) ;; Tharwat - Date: 20.Apr.2021 ;; (and (or *inc_* (setq *inc_* 1)) (setq *inc_* (cond ((getint (strcat "\nSpecify increment number < " (itoa *inc_*) " > : " ) ) ) (*inc_*) ) ) (while (and (setq sel (car (entsel "\nSelect Text to add increment suffix : ")) ) (= (cdr (assoc 0 (setq lst (entget sel)))) "TEXT") (setq int -1 sel (ssget "_X" (list '(0 . "TEXT") (assoc 1 lst) (cons 410 (getvar 'CTAB)) ) ) ) (while (setq int (1+ int) ent (ssname sel int) ) (setq lst (entget ent)) (entmod (subst (cons 1 (strcat (cdr (assoc 1 lst)) "xPos." (if (> 10 *inc_*) (strcat "0" (itoa *inc_*)) (itoa *inc_*) ) ) ) (assoc 1 lst) lst ) ) ) (setq *inc_* (1+ *inc_*)) ) ) ) (princ) )
    1 point
  2. Me either until I tried it
    1 point
  3. You should post your code .. many times the algorithm can be improved upon.
    1 point
  4. And I'm over here still typing all my commands in.
    1 point
  5. Two! rectangle and array
    1 point
×
×
  • Create New...